Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deTextureSet Class Reference

`#include <deSurface_priv.hpp>`

Inheritance diagram for deTextureSet:

[legend]
Collaboration diagram for deTextureSet:

[legend]
List of all members.

## Public Member Functions
| deTextureSet ()
u32 | GetNumTextures () const
const char * | GetNameByIndex (s32 index) const
s32 | GetIndexByName (const char *name) const
IdeBitmapProxy * | GetTextureByIndex (s32 index) const
IdeBitmapProxy * | GetTextureByName (const char *name) const
deBoolean | AddTextureName (const char *name, s32 *index)
deBoolean | SetTextureByIndex (s32 index, IdeBitmapProxy *tex)
deBoolean | SetTextureByName (const char *name, IdeBitmapProxy *tex)
IdeTextureSet * | CloneTextureSet (const char **names)
## Static Public Member Functions
void | Test ()
## Protected Member Functions
| ~deTextureSet ()
deBoolean | AddTextureName (deString2 str, s32 *index)
s32 | GetIndexByName (deString2 str) const
## Private Attributes
deTHashFunctor< s32, deString2 > | m_NameIndices
deTArray< IdeBitmapProxy * > | m_Bitmaps
deTArray< deString2 > | m_Names

## Constructor & Destructor Documentation

deTextureSet::~deTextureSet | ( |  | ) | `[protected]`

deTextureSet::deTextureSet | ( |  | ) |

## Member Function Documentation

deBoolean deTextureSet::AddTextureName | ( | deString2 | str,
|  | s32 * | index
| ) | `[protected]`

deBoolean deTextureSet::AddTextureName | ( | const char * | name,
|  | s32 * | index
| ) | `[virtual]`

| Implements IdeTextureSet.

IdeTextureSet * deTextureSet::CloneTextureSet | ( | const char ** | names | ) | `[virtual]`

| Implements IdeTextureSet.

s32 deTextureSet::GetIndexByName | ( | deString2 | str | ) | const`[protected]`

s32 deTextureSet::GetIndexByName | ( | const char * | name | ) | const`[virtual]`

| Implements IdeTextureSet.

const char * deTextureSet::GetNameByIndex | ( | s32 | index | ) | const`[virtual]`

| Implements IdeTextureSet.

u32 deTextureSet::GetNumTextures | ( |  | ) | const`[virtual]`

| Implements IdeTextureSet.

IdeBitmapProxy * deTextureSet::GetTextureByIndex | ( | s32 | index | ) | const`[virtual]`

| Implements IdeTextureSet.

IdeBitmapProxy * deTextureSet::GetTextureByName | ( | const char * | name | ) | const`[virtual]`

| Implements IdeTextureSet.

deBoolean deTextureSet::SetTextureByIndex | ( | s32 | index,
|  | IdeBitmapProxy * | tex
| ) | `[virtual]`

| Implements IdeTextureSet.

deBoolean deTextureSet::SetTextureByName | ( | const char * | name,
|  | IdeBitmapProxy * | tex
| ) | `[virtual]`

| Implements IdeTextureSet.

void deTextureSet::Test | ( |  | ) | `[static]`

## Member Data Documentation

deTArray<IdeBitmapProxy*> deTextureSet::m_Bitmaps`[private]`

deTHashFunctor<s32, deString2> deTextureSet::m_NameIndices`[private]`

deTArray<deString2> deTextureSet::m_Names`[private]`

The documentation for this class was generated from the following files:

- deSurface_priv.hpp
- deSurface.cpp